import request from '@/utils/request'
import qs from 'qs'
let api = '/api-web'
// 分页查询活动列表
export function getEntryActivities(data) {
  return request({
    url: api + '/tenantEntryActivities/queryPage',
    method: 'get',
    params: data
  })
}

// 新增、修改活动
export function getActivitieMerge(data) {
  return request({
    url: api + '/tenantEntryActivities/merge',
    method: 'post',
    data: data
  })
}

// 启用，停止
export function getActivitieUpdateDelFlag(data) {
  return request({
    url: api + '/tenantEntryActivities/updateDelFlag',
    method: 'post',
    data: qs.stringify(data)
  })
}

// 查询单条活动
export function getActivitieQuery(data) {
  return request({
    url: api + '/tenantEntryActivities/query',
    method: 'get',
    params: data
  })
}

// 帮助中心分类列表
export function helpCenterCatalogList(data) {
  return request({
    url: '/api-cms/helpCenterCatalog/list',
    method: 'get',
    params: data
  })
}

// 帮助中心分类列表 添加或修改  
export function helpCenterCatalogModify(data) {
  return request({
    url: '/api-cms/helpCenterCatalog/modify',
    method: 'post',
    data: qs.stringify(data)
  })
}

// 帮助中心分类列表 删除
export function helpCenterCatalogDelete(data) {
  return request({
    url: '/api-cms/helpCenterCatalog/delete',
    method: 'post',
    data: qs.stringify(data)
  })
}

// 帮助中心内容列表
export function helpCenterContentList(data) {
  return request({
    url: '/api-cms/helpCenterContent/list',
    method: 'get',
    params: data
  })
}

// 帮助中心内容 添加或修改
export function helpCenterContentModify(data) {
  return request({
    url: '/api-cms/helpCenterContent/modify',
    method: 'post',
    data: qs.stringify(data)
  })
}

// 帮助中心内容 删除
export function helpCenterContentDelete(data) {
  return request({
    url: '/api-cms/helpCenterContent/delete',
    method: 'post',
    data: qs.stringify(data)
  })
}


  